Index: src/uk/me/parabola/splitter/parser/O5mMapParser.java
===================================================================
--- src/uk/me/parabola/splitter/parser/O5mMapParser.java	(revision 584)
+++ src/uk/me/parabola/splitter/parser/O5mMapParser.java	(working copy)
@@ -246,8 +246,10 @@
 			
 		double flon = 100L * lon * FACTOR;
 		double flat = 100L * lat * FACTOR;
-		assert flat >= -90.0 && flat <= 90.0;
-		assert flon >= -180.0 && flon <= 180.0;
+		if (flat < -90.0 || flat > 90.0)
+			throw new IOException("Invalid latitude for node " + lastNodeId);
+		if (flon < -90.0 || flon > 90.0)
+			throw new IOException("Invalid longitude for node " + lastNodeId);
 
 		node.set(lastNodeId, flat, flon);
 		readTags(node);
